/v1/api/discoveryInstances/{id} (PATCH) - BlueCat Edge - Service Point v4.x.x

BlueCat Edge User Guide

ft:locale
en-US
Product name
BlueCat Edge
Version
Service Point v4.x.x

Updates the version or discovery configuration ID used by an existing discovery instance.

PATCH https://api-<BlueCat.edge.url>/v1/api/discoveryInstances/{id}
Authorization: Bearer authorization token
Content-Type; Application/JSON
{
    "version": "1.0.0",
    "discoveryIds": [
      "1e87af58-0458-435a-a3cf-27e53c89539d"
    ]
}
Body parameters
  • version—the version of discovery instance that you would like to deploy.
  • discoveryIds—a list of discovery configurations that will be used by the discovery instance.
  • Note: You can omit the version or discoveryIds field if you do not want to update that value.

Successful response

204 NO CONTENT
Possible error codes:
  • NOT FOUND - Instance can't be found
  • BAD REQUEST - Invalid request
  • NOT FOUND - Specific instance not found
  • CONFLICT - Discovery instance is already being updated
  • INTERNAL SERVER ERROR - Unexpected error